<?php
if (!defined('IN_HANFOX')) exit('Access Denied');

$type = trim($_GET['type']);
$cate_id = intval($_GET['cid']);
if (empty($type)) $type = 'webdir';

if ($type == 'webdir') {
	get_website_sitemap($cate_id);
} elseif ($type == 'weixin') {
	get_weixin_sitemap($cate_id);
} elseif ($type == 'huoyuan') {
	get_huoyuan_sitemap($cate_id);
} elseif ($type == 'shop') {
	get_shop_sitemap($cate_id);
}elseif ($type == 'article') {
	get_article_sitemap($cate_id);
} else {
	get_website_sitemap($cate_id);
}
?>